PipeWire 1.2.6

Loading...
Searching...
No Matches
Data Structures | Macros | Functions
port.h File Reference
Core API » Port

`pipewire/port.h` More...

Go to the source code of this file.

## Data Structures
struct | pw_port_info
struct | pw_port_events
| Port events. More...
struct | pw_port_methods
| Port methods. More...

## Macros
#define | PW_TYPE_INTERFACE_Port PW_TYPE_INFO_INTERFACE_BASE "Port"
#define | PW_PORT_PERM_MASK PW_PERM_R|PW_PERM_X|PW_PERM_M
#define | PW_VERSION_PORT 3
#define | pw_direction spa_direction
| The direction of a port.
#define | PW_DIRECTION_INPUT SPA_DIRECTION_INPUT
#define | PW_DIRECTION_OUTPUT SPA_DIRECTION_OUTPUT
#define | PW_PORT_CHANGE_MASK_PROPS (1 << 0)
#define | PW_PORT_CHANGE_MASK_PARAMS (1 << 1)
#define | PW_PORT_CHANGE_MASK_ALL ((1 << 2)-1)
#define | PW_PORT_EVENT_INFO 0
#define | PW_PORT_EVENT_PARAM 1
#define | PW_PORT_EVENT_NUM 2
#define | PW_VERSION_PORT_EVENTS 0
#define | PW_PORT_METHOD_ADD_LISTENER 0
#define | PW_PORT_METHOD_SUBSCRIBE_PARAMS 1
#define | PW_PORT_METHOD_ENUM_PARAMS 2
#define | PW_PORT_METHOD_NUM 3
#define | PW_VERSION_PORT_METHODS 0
#define | pw_port_method(o, method, version, ...)
#define | pw_port_add_listener(c, ...)
#define | pw_port_subscribe_params(c, ...)
| Subscribe to parameter changes.
#define | pw_port_enum_params(c, ...)
| Enumerate port parameters.

## Functions
const char * | pw_direction_as_string (enum pw_direction direction)
| Convert a pw_direction to a readable string.
struct pw_port_info * | pw_port_info_update (struct pw_port_info *info, const struct pw_port_info *update)
struct pw_port_info * | pw_port_info_merge (struct pw_port_info *info, const struct pw_port_info *update, bool reset)
void | pw_port_info_free (struct pw_port_info *info)

## Detailed Description

`pipewire/port.h`